//-----------------------------------------------------------------------------
// (C) 1997	Levastre Claude
//
// Last modified		:
// To do				:
//-----------------------------------------------------------------------------

#ifndef _G3UTILS_H_
#define _G3UTILS_H_

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <g3def.h>
#include <g3file.h>

void fextput(char const *path,char const *extension,char *rpath);
void fextget(char const *path,char *rpath);
void fnameget(char const *path,char *rpath);

void freadword(FILE *handle,char *ptr);
int ffindword(FILE *handle,char *w);
int ffindword2(FILE *handle,char *w1,char *w2);
UD getbitcount(UD mask);
UD getlbitshift(UD mask);
UD getrbitshift(UD mask);

/*

UD ud_log2(UD number)
{
	UD tmp;
	tmp=0;
	if(number>>16) {number>>=16;tmp+=16;}
	if(number>>8) {number>>=8;tmp+=8;}
	if(number>>4) {number>>=4;tmp+=4;}
	if(number>>2) {number>>=2;tmp+=2;}
	tmp+=number>>1;
	return(tmp);
}
*/



void memswap(unsigned char *p1,unsigned char *p2,unsigned int _size);

int clipinwindow(
				  float *x1,float *y1,float *x2,float *y2,
				  float fwinx1,float fwiny1,float fwinx2,float fwiny2
				  );



inline float lightfromrgb(float r,float g,float b)
{
	return (r*0.30F+g*0.60F+b*0.10F);
}


__int64 getrdtsc(void);
int	isrdtscsupported(void);
int ismmxsupported(void);

int __fastcall _ftol(float f);

#define CPUTYPE_NORMAL	0
#define CPUTYPE_KATMAI	1

int cputype(void);


void rgbtohsv( float r, float g, float b, float *h, float *s, float *v);
void hsvtorgb(float h, float s, float v,float *r, float *g, float *b);


#endif