

//-----------------------------------------------------------------------------
// (C) 2001	Levastre Claude
//
// Last modified		:
// To do				:
//-----------------------------------------------------------------------------

#ifndef _G3SPLINEF_H_
#define _G3SPLINEF_H_

class CsplineFactor
{
private:
	float m1;
	float m2;
	float m3;
	float m4;
public:
	float getm1()const{return m1;}
	float getm2()const{return m2;}
	float getm3()const{return m3;}
	float getm4()const{return m4;}

	CsplineFactor(){}
	~CsplineFactor(){}
	void set(float t)
	{
		/*
		float t2,t3;
		t2=t*t;
		t3=t2*t;
		m1=((1.0F*t2)-(0.5F*t3)-(0.5F*t));
		m2=((1.5F*t3)-(2.5F*t2)+1.0F);
		m3=((2.0F*t2)-(1.5F*t3)+(0.5F*t));
		m4=((0.5F*t3)-(0.5F*t2));
		*/

		float t2,t3;
		t2=t*t;
		t3=t2*t;
		float t_05=t*0.5F;
		float t3_15=t3*1.5F;
		m1=(t2-0.5F*(t3+t));
		m2=t3_15-(2.5F*t2)+1.0F;
		m3=t2+t2-t3_15+t_05;
		m4=0.5F*(t3-t2);



	}
	CsplineFactor(float t)
	{
		set(t);
	}
};




#endif
