//-----------------------------------------------------------------------------
// (C) 1997	Levastre Claude
//
//
//	Comment : Crgb
//
// Last modified		:
// To do				:
//-----------------------------------------------------------------------------
#include <stdafx.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#include <g3rgb.h>
#include <g3utils.h>

int Crgb::fread(G3FILE *handle)
{
	UW version;
	g3fread(&version,sizeof(version),1,handle);
	switch(version)
	{
	case 1:
		{
		int count=0;
		count+=g3fread(&r,sizeof(r),1,handle);
		count+=g3fread(&g,sizeof(g),1,handle);
		count+=g3fread(&b,sizeof(b),1,handle);
		count+=g3fread(&a,sizeof(a),1,handle);
		if(count==4)
			return(1);
		}
	default:
		::MessageBox(NULL,"RGB : UNKNOWN VERSION","ERROR",MB_ICONWARNING|MB_OK);
		exit(0);
		break;
	}
	return(0);
}

int Crgb::fwrite(G3FILE *handle)
{
	UW version=1;
	g3fwrite(&version,sizeof(version),1,handle);
	int count=0;
	count+=g3fwrite(&r,sizeof(r),1,handle);
	count+=g3fwrite(&g,sizeof(g),1,handle);
	count+=g3fwrite(&b,sizeof(b),1,handle);
	count+=g3fwrite(&a,sizeof(a),1,handle);
	if(count==4)
		return(1);
	return(0);
}
